import 'package:flutter_gadgets/flutter_gadgets.dart';

import '../const.dart';
import '../model/alien_counter.dart';

void onAddAlien() {
  final model = ServiceContainer.instance.get<ObservableModel>();
  final alienCounter = model.getBean<AlienCounter>();
  alienCounter.addAlien();
  model.notifyFor(AlienCounter, properties: [P_ALIENS]);
}

void onAddHuman() {
  final model = ServiceContainer.instance.get<ObservableModel>();
  final alienCounter = model.getBean<AlienCounter>();
  alienCounter.addHuman();
  model.notifyFor(AlienCounter, properties: [P_HUMANS]);
}
