import 'package:flutter_gadgets/flutter_gadgets.dart';

import '../const.dart';
import '../model/match.dart';

void onRefreshPressed() {
  final model = ServiceContainer.instance.observableModel;
  model.putBean<Match>(Match());
}

void onButtonPressed(HandSign playerChoice) {
  final model = ServiceContainer.instance.observableModel;
  final match = model.getBean<Match>();
  match.nextTurn(playerChoice);
  model.notifyFor(Match);
}
