import 'package:flutter/material.dart';
import 'package:flutter_gadgets/flutter_gadgets.dart';

import 'model/match.dart';
import 'view/home_screen.dart';

void main() => runApp(
      AppGadget(
        beans: {
          toBeanKey(Match): Match(),
        },
        child: App(),
      ),
    );

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Rock Paper Scissor',
      home: HomeScreen(),
    );
  }
}
