import 'package:flutter_gadgets/flutter_gadgets.dart';
import 'package:flutter_test/flutter_test.dart';

import '../utils.dart';

void main() {
  group('ServiceContainer', () {
    test('Init', () {
      final observableModel = ObservableModel();
      ServiceContainer().init({ObservableModel: observableModel});
      expect(ServiceContainer().observableModel, observableModel);
    });

    test('Unexistent service', () {
      expect(ServiceContainer().get<MockService>(), null);
    });
  });
}
